<div style="margin-top: 20px;">
    <div class="container">
        <div class="ui-g">
            <div class="ui-g-12">
                <p-dataTable
                    [value]="requestProducts">
                    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="{{'mpmApp.requestProduct.requestNumber'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.requestNumber">
                                {{rowData.requestNumber}}
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="{{'mpmApp.requestProduct.facilityFrom'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.facilityFromId">
                                {{rowData.facilityFromDescription}}
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="{{'mpmApp.requestProduct.facilityTo'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.facilityToId">
                                {{rowData.facilityToDescription}}
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="{{'mpmApp.requestProduct.createDate'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.dateCreate">
                                {{rowData.dateCreate | date : 'dd-MM-yyyy'}}
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <button pButton 
                                [routerLink]="['../approval-kacab/request-product-detail/' + rowData.idRequest]"
                                icon="fa-info-circle"
                                class="flat-button">
                            </button> 
                        </ng-template>
                    </p-column>
                </p-dataTable>
                <div class="pull-right" style="margin-top:10px;">
                    <button pButton type="button" [routerLink]="['/approval-kacab']"
                        label="{{'entity.action.back' | translate}}"
                        class="ui-button-danger flat-label-button">
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
